Opened 7 years ago

Closed 7 years ago

Last modified 7 years ago

#40275 closed defect (duplicate)

bash-completion: uses mac's sed and fails for `make`

Reported by: Ruslan.Zakirov@… Owned by: raimue (Rainer Müller)
Priority: Normal Milestone:
Component: ports Version: 2.2.0
Keywords: Cc:
Port: bash-completion

Description (last modified by ryandesign (Ryan Schmidt))

$ make sed: illegal option -- r
usage: sed script [-Ealn] [-i extension] [file ...]
       sed [-Ealn] [-i extension] [-e script] ... [-f script_file] ... [file ...]

I have apple's sed, but I suspect that this completion expects gnu sed that is also installed as gsed and I don't want to install links from sed to gsed.

Change History (4)

comment:1 Changed 7 years ago by ryandesign (Ryan Schmidt)

Description: modified (diff)
Keywords: sed bash completion make removed
Owner: changed from macports-tickets@… to raimue@…
Summary: bash autocompletion uses mac's sed and fails for `make`bash-completion: uses mac's sed and fails for `make`

You're running make manually? Where?

Is this bug report about a port? If so, please attach the main.log file of the failure.

comment:2 Changed 7 years ago by raimue (Rainer Müller)

Resolution: duplicate
Status: newclosed

Duplicate of #32053. (see below for correction)

Please upgrade your installation and reopen any terminal windows to ensure the new version of bash-completion is loaded.

Last edited 7 years ago by raimue (Rainer Müller) (previous) (diff)

comment:3 Changed 7 years ago by raimue (Rainer Müller)

Sorry, wrong duplicate reference:

Duplicate of #39853.

comment:4 Changed 7 years ago by Ruslan.Zakirov@…

Sorry for the noise. I even had ports upgraded, just old version was still active. Sure starting a new terminal session helps.

Note: See TracTickets for help on using tickets.